<html>
<!--    cibl&eacute; par: gestion-contrat.php 

		cible:  gestion-contrat.php						
 -->
 
 <!-- param&egrave;tre &eacute;mis:        -session_id         le num&eacute;ro de la session
							-code_contrat
							-code_client

	 param&egrave;tre re&ccedil;evable :  -session_id         le num&eacute;ro de la session
	 						-code_contrat
							-code_client
	 
 -->	
 <head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Ajout d'un rabais</title>
<body>

<?php 

//Fichiers contenant les fonctions utilis&eacute;es dans le script.
require("../outils/gui.php");
require("../outils/session.php");
require("../outils/mise_en_page.php");
require("gestion-poste.php");
require("../historique.php");

//V&eacute;rifier si la session est valide.
$Bsession_id = $_GET["Bsession_id"];
verifierSession($Bsession_id);

//V&eacute;rifier les droits de l'utilisateur.
$privilege_base = lirePrivilege($Bsession_id);
if ($privilege_base != 2)
	die("Vous n'avez pas les droits!");
	
$code_contrat = $_GET["code_contrat"];
$code_rabais = $_GET["code_rabais"];
$etape = $_GET["etape"];
$commentaire = $_GET["commentaire"];
$prix_rabais = $_GET["prix_rabais"];
$poste = $_GET["poste"];

//*****************************************************************************************************
// afficher les r&eacute;sultats *****************************************************************************
//*****************************************************************************************************
   
	

if ($etape ==1)//enregistrer les donn&eacute;es
{

	$sql = "INSERT INTO base_rabais
				    SET commentaire = '$commentaire',
					    code_contrat = '$code_contrat',
						poste_budget = '$poste',
					    prix_rabais = '$prix_rabais',
					    actif = 'O',
					    mis_a_jour = now();";
		$result = mysql_query($sql) or die("Probl&egrave;me de cr&eacute;ation du rabais<br>".$sql);

	//cherche le code_rabais du nouvel enregistrement	
	$sql = "SELECT code_rabais
		         FROM base_rabais
				WHERE code_contrat = '$code_contrat'
				  AND commentaire = '$commentaire'
				  AND poste_budget = '$poste';";
		$result2 = mysql_query($sql) or die("Probl&egrave;me de recherche dans base_rabais<br>".$sql);
		$row2 = mysql_fetch_row ($result2);
		$code_rabais = $row2[0];
		

	GestionPoste(10,$code_rabais,$code_contrat,$code_client,$ancien_prix,$prix_rabais,0,'O');
	print("L'enregistrement &agrave; &eacute;t&eacute; un succ&egrave;s. Vous pouvez fermer cette fen&ecirc;tre.<br><br><br>");
	historique("../historique.txt","---ajout rabais poste: ".$poste.", prix: ".$prix_rabais.", commentaire: ".$commentaire."",$Bsession_id);	
}	
	
	
	
if (empty($etape))//entrer les donn&eacute;es
{	
	historique("../historique.txt","MENU AJOUT D'UN RABAIS",$Bsession_id);
	print("<center><table cellspacing=0 cellpadding=0 width=500px border=0>");
	print("<tr><td bgcolor=white width=27px><img src=coin-haut-gauche.gif></td>");
	print("<td bgcolor=#636300><center><font face=Arial,Helvetica size=3 color=white><b>Ajout d'un rabais</b></td>");
	print("<td bgcolor=white width=27px><img src=coin-haut-droit.gif></td>");
	print("</td></tr></table>");

	//titre	   
	print("<table cellspacing=0 cellpadding=0 width=500px border=0>");	
	print("<tr><td bgcolor=#D6E4AC>");
	print("<b>Commentaire</b>");
	print("</td><td bgcolor=#C8DB8D>");
	print("<b>Prix du rabais</b>");
	print("</td><td bgcolor=#D6E4AC>");
	print("<b>Poste</b>");

	print("<form action=\"ajout-rabais.php?Bsession_id=".$Bsession_id."\" method=\"get\">");
	print("<input type=\"hidden\" name=\"Bsession_id\" value=\"".$Bsession_id."\">");
	print("<input type=\"hidden\" name=\"code_contrat\" value=\"".$code_contrat."\">");
	print("<input type=\"hidden\" name=\"code_rabais\" value=\"".$code_client."\">");
	print("<input type=\"hidden\" name=\"etape\" value=\"1\">");	
	print("</td></tr><tr><td bgcolor=#D6E4AC valign=top>");
	
	//commentaire	
	print("<input type=\"text\" name=\"commentaire\" align=\"top\" maxlength=\"255\" size=\"60\">");
	print("</td><td bgcolor=#C8DB8D>");
	//rabais
	print("<input type=\"text\" name=\"prix_rabais\" align=\"top\" maxlength=\"10\" size=\"10\">");
	print("</td><td bgcolor=#D6E4AC>");
	//poste
	print("<input type=\"text\" name=\"poste\" align=\"top\" maxlength=\"10\" size=\"10\">");
	print("</td><td bgcolor=#C8DB8D>");
	

	//bouton ajouter
	print("</td></tr><tr><td bgcolor=#E7EFCE colspan = 4><div align=right>");
	print("<input type=\"submit\" value=\"Ajouter\"></form></div>");
	print("</td></tr>");
	
    print("</table>");
	
print("<center><table cellspacing=0 cellpadding=0 width=500px border=0>");
print("<tr><td bgcolor=white width=27px><img src=coin-bas-gauche.gif></td>");
print("<td bgcolor=#636300 width=746px></td>");
print("<td bgcolor=white width=27px><img src=coin-bas-droit.gif></td>");
print("</tr></table>");		
	
}


	
?>

</body>
</html>	
	
	
	
	
